It sends the authorization data, containing the details of the payment intent that originated it, to the endpoint preconfigured by the merchant.
This request will be sent to your address, protected by `Authorization: Basic` authentication.
The webhook must validate the 'Authorization' header to ensure that the credentials received are valid.
The format for assembling the hash sent is as follows: Basic { base64(user:password) }.
The user and password fields contain the values entered in the Web Checkout Webhook configuration.
**For example**, for the user *'testwebhook'* and the password *'testwebhook13579'* the string would look like this: *Basic { base64(testwebhook:testwebhook13579) }*, generating an output in this format: *Basic dGVzdHdlYmhvb2s6dGVzdHdlYmhvb2sxMzU3OQ==*
Checkout mode.
The possible values are:
- instant = Instant payments are accepted
- payment_link = One-time payments from a payment link are accepted
- recurring = Recurring payments from recurring transaction ar accepted
sellerobject
Data structure containing seller details
Show seller properties
idstring<uuidv4>
Seller ID
trade_namestring
Trade or brand name of the seller's business
merchant_documentstring
Merchant document.
settingsobject
Data structure containing seller settings
Show settings properties
notification_url_configuredboolean
Whether the seller has configured a payment URL notification.
#### The possible values are:
- true = Seller is notified through the backend system when the payment transaction is processed
- false = Seller is not notified through the backend system when the payment transaction is processed
customerobject
Data structure containing customer details
Show customer properties
customer_idstringrequired
Customer ID.
We recommend using the customer's document number (the same value provided in `document_number`) as the customer ID, for all countries. Provide only letters and numbers, without any special characters, separators or spaces (for example, a Chilean RUT `12345678-9` should be sent as `123456789`).
For Brazil (BR), this value must correspond to a valid CPF. Using an invalid document may trigger fraud prevention flows that could block the payment.
first_namestringrequired
Customer's first name
last_namestringrequired
Customer's last name
namestringrequired
Customer's full name
emailstring<email>required
Customer's email address
document_typestringrequired
Type of the document used to identify the customer. The accepted value is country-specific:
- Brazil (BR): `CPF` (individuals) or `CNPJ` (companies)
- Argentina (AR): `DNI`
- Chile (CL): `RUT`
- Mexico (MX): `RFC`
- Uruguay (UY): `CI`
- Spain (ES): `DNI`
document_numberstringrequired
Document number used to identify the customer.
For Brazil (BR), this field must contain a valid CPF. Using an invalid CPF may trigger fraud prevention flows that could block the payment.
Whether the customer's email address was verified by the seller when they registered with the store.
The possible values are:
- true = Email address was verified
- false = Email address was not verified
billing_addressobjectrequired
Data structure containing shipping address details
Show billing_address properties
streetstringrequired
Name of a street or thoroughfare
numberstringrequired
Number that identifies the position of a building on a street
complementstring
Additional address information
districtstring
Name of a district, for example, a part of a town or region
citystring
Name of a built-up area with defined boundaries and a local government.
The value is based on the ISO 3166-2, according to the country defined within the address details.
statestring
Name of an organized political community or area forming a part of a federation.
The value is based on the ISO 3166-2, according to the country defined within the address details.
countrystringrequired
Country code.
The value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).
postal_codestringrequired
Postal or ZIP code.
The value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.
referencestring
Reference point details that can be used to help locate the address
shippingobject
Data structure containing shipping details
Show shipping properties
first_namestringrequired
Customer's first name
last_namestringrequired
Customer's last name
namestring
Customer's full name
phone_numberstring
Customer's phone number
shipping_amountnumber
Shipping cost in integer format, where the last 2 digits represent the cents.
For countries where cents do not apply, fill in the amount with 2 zeros to the right.
Ex: $150, send `15000`
addressobjectrequired
Data structure containing shipping address details
Show address properties
streetstringrequired
Name of a street or thoroughfare
numberstringrequired
Number that identifies the position of a building on a street
complementstring
Additional address information
districtstring
Name of a district, for example, a part of a town or region
citystring
Name of a built-up area with defined boundaries and a local government.
The value is based on the ISO 3166-2, according to the country defined within the address details.
statestring
Name of an organized political community or area forming a part of a federation.
The value is based on the ISO 3166-2, according to the country defined within the address details.
countrystringrequired
Country code.
The value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).
postal_codestringrequired
Postal or ZIP code.
The value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.
referencestring
Reference point details that can be used to help locate the address
paymentobjectrequired
Data structure containing payment details
Show payment properties
method"credit" | "debit"
Payment method.
The possible values are: - credit = Payment by credit card - debit = Payment by debit card
amountinteger<int32>required
Payment amount from checkout,in integer format, where the last 2 digits represent the cents.
For countries where cents do not apply, fill in the amount with 2 zeros to the right.
Ex: $150, send `15000`
currencystring<ISO-4217>required
Currency code.
The value is in the alpha-3 format defined in ISO 4217
(https://www.iso.org/iso-4217-currency-codes.html).
installmentobject
Data structure containing installment details.
Show installment properties
type"no_interest" | "with_interest"required
Installment type offered to the customer, defining whether interest is charged for the installments
numberintegerrequired
Number of installments selected to the customer
schemastring
Installment acquirer schema.
resultobjectrequired
Data structure containing payment result details
Show result properties
payment_idstring<uuidv4>
Unique payment ID
status"Authorized" | "Denied"required
Payment transaction status
authorization_codestring
Authorized payment transaction code
transaction_datetimestring
Date of payment transaction
return_messagestring
Result message for the payment transaction. For a list of possible values, <a href='#'>see</a>.
return_codestring
Result code for the payment transaction. For a list of possible values, see <LINK>.
Product value in integer format, where the last 2 digits represent the cents.
For countries where cents do not apply, fill in the amount with 2 zeros to the right.
Ex: $150, send `15000`
quantityintegerrequired
Quantity of the product
device_fingerprintstring
Response
A status of 200 means that the webhook has been successfully received and no further delivery attempts will be made.
Español › Documentación › Referencia de API › Pagos › Web Checkout › Webhook
Request
curl -X POST "https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/" \ -H "Content-Type: application/json" \ -u "<username>:<password>" \ -d '{ "checkout_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe", "payment_intent_id": "a4fb9559-09f3-43ac-8ba5-c0d786506ea9", "order_id": "ORDER_123", "mode": "instant", "seller": { "id": "06f256c8-1bbf-42bf-93b4-ce2041bfb87e", "trade_name": "John Doe Bread Store", "merchant_document": "599d037634", "settings": { "notification_url_configured": false } }, "customer": { "customer_id": "12345678912", "first_name": "John", "last_name": "Doe Smith", "name": "John Doe Smith", "email": "[email protected]", "document_type": "CPF", "document_number": "12345678912", "phone_number": "5551999887766", "gender": "Male", "checked_email": { "type": "boolean", "default": false, "description": "Whether the customer's email address was verified by the seller when they registered with the store.\n\nThe possible values are:\n- true = Email address was verified\n- false = Email address was not verified", "example": false }, "billing_address": { "type": "object", "description": "Data structure containing shipping address details", "required": [ "street", "number", "country", "postal_code" ], "properties": { "street": { "type": "string", "description": "Name of a street or thoroughfare", "maxLength": 60, "example": "Av. Brasil" }, "number": { "type": "string", "description": "Number that identifies the position of a building on a street", "maxLength": 10, "example": "1000" }, "complement": { "type": "string", "description": "Additional address information", "maxLength": 60, "example": "Sala 1" }, "district": { "type": "string", "description": "Name of a district, for example, a part of a town or region", "maxLength": 40, "example": "São Geraldo" }, "city": { "type": "string", "description": "Name of a built-up area with defined boundaries and a local government.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.", "maxLength": 40, "example": "Porto Alegre" }, "state": { "type": "string", "description": "Name of an organized political community or area forming a part of a federation.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.", "maxLength": 20, "example": "RS" }, "country": { "type": "string", "description": "Country code.\n\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).", "maxLength": 2, "example": "BR" }, "postal_code": { "type": "string", "description": "Postal or ZIP code.\n\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.", "maxLength": 8, "example": "90230060" }, "reference": { "type": "string", "description": "Reference point details that can be used to help locate the address", "maxLength": 80, "example": "Near the hospital" } } } }, "shipping": { "first_name": "John", "last_name": "Doe Smith", "name": "John Doe Smith", "phone_number": "5551999887766", "shipping_amount": 3000, "address": { "street": "Av. Brasil", "number": "1000", "complement": "Sala 1", "district": "São Geraldo", "city": "Porto Alegre", "state": "RS", "country": "BR", "postal_code": "90230060", "reference": "Near the hospital" } }, "payment": { "method": "credit", "amount": 10000, "currency": "USD", "installment": { "type": "no_interest", "number": 3, "schema": "string" }, "result": { "payment_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe", "status": "Authorized", "authorization_code": 9999, "transaction_datetime": "1997-07-16T19:20:30.45+01:00", "return_message": "The payment type is not active", "return_code": "payment_type_is_not_active" } }, "frontend": { "link": "www.myhomepage.com/checkout", "time_page": 30, "sales_channel": "WEB", "application_version": "v1.0.0.1", "card_pasted": false, "ip": "255.255.255.255", "timezone": "America/Argentina/Buenos_Aires", "locale": "es-AR" }, "pickup_store": true, "shipping_method": "PAC", "soft_descriptor": "Bread Store", "reference_code": "Payment for the service provided by John", "product": [ { "product_type": "digital_content", "title": "Toy car", "description": "Wooden toy car", "value": 1200, "quantity": 10 } ], "device_fingerprint": "7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF"}'
const response = await fetch(`https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/`, { method: 'POST', headers: { 'Content-Type': 'application/json' }, body: JSON.stringify({ "checkout_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe", "payment_intent_id": "a4fb9559-09f3-43ac-8ba5-c0d786506ea9", "order_id": "ORDER_123", "mode": "instant", "seller": { "id": "06f256c8-1bbf-42bf-93b4-ce2041bfb87e", "trade_name": "John Doe Bread Store", "merchant_document": "599d037634", "settings": { "notification_url_configured": false } }, "customer": { "customer_id": "12345678912", "first_name": "John", "last_name": "Doe Smith", "name": "John Doe Smith", "email": "[email protected]", "document_type": "CPF", "document_number": "12345678912", "phone_number": "5551999887766", "gender": "Male", "checked_email": { "type": "boolean", "default": false, "description": "Whether the customer's email address was verified by the seller when they registered with the store.\n\nThe possible values are:\n- true = Email address was verified\n- false = Email address was not verified", "example": false }, "billing_address": { "type": "object", "description": "Data structure containing shipping address details", "required": [ "street", "number", "country", "postal_code" ], "properties": { "street": { "type": "string", "description": "Name of a street or thoroughfare", "maxLength": 60, "example": "Av. Brasil" }, "number": { "type": "string", "description": "Number that identifies the position of a building on a street", "maxLength": 10, "example": "1000" }, "complement": { "type": "string", "description": "Additional address information", "maxLength": 60, "example": "Sala 1" }, "district": { "type": "string", "description": "Name of a district, for example, a part of a town or region", "maxLength": 40, "example": "São Geraldo" }, "city": { "type": "string", "description": "Name of a built-up area with defined boundaries and a local government.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.", "maxLength": 40, "example": "Porto Alegre" }, "state": { "type": "string", "description": "Name of an organized political community or area forming a part of a federation.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.", "maxLength": 20, "example": "RS" }, "country": { "type": "string", "description": "Country code.\n\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).", "maxLength": 2, "example": "BR" }, "postal_code": { "type": "string", "description": "Postal or ZIP code.\n\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.", "maxLength": 8, "example": "90230060" }, "reference": { "type": "string", "description": "Reference point details that can be used to help locate the address", "maxLength": 80, "example": "Near the hospital" } } } }, "shipping": { "first_name": "John", "last_name": "Doe Smith", "name": "John Doe Smith", "phone_number": "5551999887766", "shipping_amount": 3000, "address": { "street": "Av. Brasil", "number": "1000", "complement": "Sala 1", "district": "São Geraldo", "city": "Porto Alegre", "state": "RS", "country": "BR", "postal_code": "90230060", "reference": "Near the hospital" } }, "payment": { "method": "credit", "amount": 10000, "currency": "USD", "installment": { "type": "no_interest", "number": 3, "schema": "string" }, "result": { "payment_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe", "status": "Authorized", "authorization_code": 9999, "transaction_datetime": "1997-07-16T19:20:30.45+01:00", "return_message": "The payment type is not active", "return_code": "payment_type_is_not_active" } }, "frontend": { "link": "www.myhomepage.com/checkout", "time_page": 30, "sales_channel": "WEB", "application_version": "v1.0.0.1", "card_pasted": false, "ip": "255.255.255.255", "timezone": "America/Argentina/Buenos_Aires", "locale": "es-AR" }, "pickup_store": true, "shipping_method": "PAC", "soft_descriptor": "Bread Store", "reference_code": "Payment for the service provided by John", "product": [ { "product_type": "digital_content", "title": "Toy car", "description": "Wooden toy car", "value": 1200, "quantity": 10 } ], "device_fingerprint": "7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF"})});const data = await response.json();
import requestsresponse = requests.request( "POST", "https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/", json={ "checkout_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe", "payment_intent_id": "a4fb9559-09f3-43ac-8ba5-c0d786506ea9", "order_id": "ORDER_123", "mode": "instant", "seller": { "id": "06f256c8-1bbf-42bf-93b4-ce2041bfb87e", "trade_name": "John Doe Bread Store", "merchant_document": "599d037634", "settings": { "notification_url_configured": False } }, "customer": { "customer_id": "12345678912", "first_name": "John", "last_name": "Doe Smith", "name": "John Doe Smith", "email": "[email protected]", "document_type": "CPF", "document_number": "12345678912", "phone_number": "5551999887766", "gender": "Male", "checked_email": { "type": "boolean", "default": False, "description": "Whether the customer's email address was verified by the seller when they registered with the store.\n\nThe possible values are:\n- True = Email address was verified\n- False = Email address was not verified", "example": False }, "billing_address": { "type": "object", "description": "Data structure containing shipping address details", "required": [ "street", "number", "country", "postal_code" ], "properties": { "street": { "type": "string", "description": "Name of a street or thoroughfare", "maxLength": 60, "example": "Av. Brasil" }, "number": { "type": "string", "description": "Number that identifies the position of a building on a street", "maxLength": 10, "example": "1000" }, "complement": { "type": "string", "description": "Additional address information", "maxLength": 60, "example": "Sala 1" }, "district": { "type": "string", "description": "Name of a district, for example, a part of a town or region", "maxLength": 40, "example": "São Geraldo" }, "city": { "type": "string", "description": "Name of a built-up area with defined boundaries and a local government.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.", "maxLength": 40, "example": "Porto Alegre" }, "state": { "type": "string", "description": "Name of an organized political community or area forming a part of a federation.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.", "maxLength": 20, "example": "RS" }, "country": { "type": "string", "description": "Country code.\n\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).", "maxLength": 2, "example": "BR" }, "postal_code": { "type": "string", "description": "Postal or ZIP code.\n\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.", "maxLength": 8, "example": "90230060" }, "reference": { "type": "string", "description": "Reference point details that can be used to help locate the address", "maxLength": 80, "example": "Near the hospital" } } } }, "shipping": { "first_name": "John", "last_name": "Doe Smith", "name": "John Doe Smith", "phone_number": "5551999887766", "shipping_amount": 3000, "address": { "street": "Av. Brasil", "number": "1000", "complement": "Sala 1", "district": "São Geraldo", "city": "Porto Alegre", "state": "RS", "country": "BR", "postal_code": "90230060", "reference": "Near the hospital" } }, "payment": { "method": "credit", "amount": 10000, "currency": "USD", "installment": { "type": "no_interest", "number": 3, "schema": "string" }, "result": { "payment_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe", "status": "Authorized", "authorization_code": 9999, "transaction_datetime": "1997-07-16T19:20:30.45+01:00", "return_message": "The payment type is not active", "return_code": "payment_type_is_not_active" } }, "frontend": { "link": "www.myhomepage.com/checkout", "time_page": 30, "sales_channel": "WEB", "application_version": "v1.0.0.1", "card_pasted": False, "ip": "255.255.255.255", "timezone": "America/Argentina/Buenos_Aires", "locale": "es-AR" }, "pickup_store": True, "shipping_method": "PAC", "soft_descriptor": "Bread Store", "reference_code": "Payment for the service provided by John", "product": [ { "product_type": "digital_content", "title": "Toy car", "description": "Wooden toy car", "value": 1200, "quantity": 10 } ], "device_fingerprint": "7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF"},)data = response.json()
<?php$ch = curl_init();curl_setopt($ch, CURLOPT_URL, "https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/");curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");curl_setopt($ch, CURLOPT_HTTPHEADER, ["Content-Type: application/json"]);curl_setopt($ch, CURLOPT_POSTFIELDS, '{ "checkout_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe", "payment_intent_id": "a4fb9559-09f3-43ac-8ba5-c0d786506ea9", "order_id": "ORDER_123", "mode": "instant", "seller": { "id": "06f256c8-1bbf-42bf-93b4-ce2041bfb87e", "trade_name": "John Doe Bread Store", "merchant_document": "599d037634", "settings": { "notification_url_configured": false } }, "customer": { "customer_id": "12345678912", "first_name": "John", "last_name": "Doe Smith", "name": "John Doe Smith", "email": "[email protected]", "document_type": "CPF", "document_number": "12345678912", "phone_number": "5551999887766", "gender": "Male", "checked_email": { "type": "boolean", "default": false, "description": "Whether the customer's email address was verified by the seller when they registered with the store.\n\nThe possible values are:\n- true = Email address was verified\n- false = Email address was not verified", "example": false }, "billing_address": { "type": "object", "description": "Data structure containing shipping address details", "required": [ "street", "number", "country", "postal_code" ], "properties": { "street": { "type": "string", "description": "Name of a street or thoroughfare", "maxLength": 60, "example": "Av. Brasil" }, "number": { "type": "string", "description": "Number that identifies the position of a building on a street", "maxLength": 10, "example": "1000" }, "complement": { "type": "string", "description": "Additional address information", "maxLength": 60, "example": "Sala 1" }, "district": { "type": "string", "description": "Name of a district, for example, a part of a town or region", "maxLength": 40, "example": "São Geraldo" }, "city": { "type": "string", "description": "Name of a built-up area with defined boundaries and a local government.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.", "maxLength": 40, "example": "Porto Alegre" }, "state": { "type": "string", "description": "Name of an organized political community or area forming a part of a federation.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.", "maxLength": 20, "example": "RS" }, "country": { "type": "string", "description": "Country code.\n\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).", "maxLength": 2, "example": "BR" }, "postal_code": { "type": "string", "description": "Postal or ZIP code.\n\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.", "maxLength": 8, "example": "90230060" }, "reference": { "type": "string", "description": "Reference point details that can be used to help locate the address", "maxLength": 80, "example": "Near the hospital" } } } }, "shipping": { "first_name": "John", "last_name": "Doe Smith", "name": "John Doe Smith", "phone_number": "5551999887766", "shipping_amount": 3000, "address": { "street": "Av. Brasil", "number": "1000", "complement": "Sala 1", "district": "São Geraldo", "city": "Porto Alegre", "state": "RS", "country": "BR", "postal_code": "90230060", "reference": "Near the hospital" } }, "payment": { "method": "credit", "amount": 10000, "currency": "USD", "installment": { "type": "no_interest", "number": 3, "schema": "string" }, "result": { "payment_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe", "status": "Authorized", "authorization_code": 9999, "transaction_datetime": "1997-07-16T19:20:30.45+01:00", "return_message": "The payment type is not active", "return_code": "payment_type_is_not_active" } }, "frontend": { "link": "www.myhomepage.com/checkout", "time_page": 30, "sales_channel": "WEB", "application_version": "v1.0.0.1", "card_pasted": false, "ip": "255.255.255.255", "timezone": "America/Argentina/Buenos_Aires", "locale": "es-AR" }, "pickup_store": true, "shipping_method": "PAC", "soft_descriptor": "Bread Store", "reference_code": "Payment for the service provided by John", "product": [ { "product_type": "digital_content", "title": "Toy car", "description": "Wooden toy car", "value": 1200, "quantity": 10 } ], "device_fingerprint": "7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF"}');$response = curl_exec($ch);curl_close($ch);
package mainimport ( "fmt" "io" "net/http" "strings")func main() { req, _ := http.NewRequest("POST", "https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/", strings.NewReader(`{ "checkout_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe", "payment_intent_id": "a4fb9559-09f3-43ac-8ba5-c0d786506ea9", "order_id": "ORDER_123", "mode": "instant", "seller": { "id": "06f256c8-1bbf-42bf-93b4-ce2041bfb87e", "trade_name": "John Doe Bread Store", "merchant_document": "599d037634", "settings": { "notification_url_configured": false } }, "customer": { "customer_id": "12345678912", "first_name": "John", "last_name": "Doe Smith", "name": "John Doe Smith", "email": "[email protected]", "document_type": "CPF", "document_number": "12345678912", "phone_number": "5551999887766", "gender": "Male", "checked_email": { "type": "boolean", "default": false, "description": "Whether the customer's email address was verified by the seller when they registered with the store.\n\nThe possible values are:\n- true = Email address was verified\n- false = Email address was not verified", "example": false }, "billing_address": { "type": "object", "description": "Data structure containing shipping address details", "required": [ "street", "number", "country", "postal_code" ], "properties": { "street": { "type": "string", "description": "Name of a street or thoroughfare", "maxLength": 60, "example": "Av. Brasil" }, "number": { "type": "string", "description": "Number that identifies the position of a building on a street", "maxLength": 10, "example": "1000" }, "complement": { "type": "string", "description": "Additional address information", "maxLength": 60, "example": "Sala 1" }, "district": { "type": "string", "description": "Name of a district, for example, a part of a town or region", "maxLength": 40, "example": "São Geraldo" }, "city": { "type": "string", "description": "Name of a built-up area with defined boundaries and a local government.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.", "maxLength": 40, "example": "Porto Alegre" }, "state": { "type": "string", "description": "Name of an organized political community or area forming a part of a federation.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.", "maxLength": 20, "example": "RS" }, "country": { "type": "string", "description": "Country code.\n\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).", "maxLength": 2, "example": "BR" }, "postal_code": { "type": "string", "description": "Postal or ZIP code.\n\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.", "maxLength": 8, "example": "90230060" }, "reference": { "type": "string", "description": "Reference point details that can be used to help locate the address", "maxLength": 80, "example": "Near the hospital" } } } }, "shipping": { "first_name": "John", "last_name": "Doe Smith", "name": "John Doe Smith", "phone_number": "5551999887766", "shipping_amount": 3000, "address": { "street": "Av. Brasil", "number": "1000", "complement": "Sala 1", "district": "São Geraldo", "city": "Porto Alegre", "state": "RS", "country": "BR", "postal_code": "90230060", "reference": "Near the hospital" } }, "payment": { "method": "credit", "amount": 10000, "currency": "USD", "installment": { "type": "no_interest", "number": 3, "schema": "string" }, "result": { "payment_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe", "status": "Authorized", "authorization_code": 9999, "transaction_datetime": "1997-07-16T19:20:30.45+01:00", "return_message": "The payment type is not active", "return_code": "payment_type_is_not_active" } }, "frontend": { "link": "www.myhomepage.com/checkout", "time_page": 30, "sales_channel": "WEB", "application_version": "v1.0.0.1", "card_pasted": false, "ip": "255.255.255.255", "timezone": "America/Argentina/Buenos_Aires", "locale": "es-AR" }, "pickup_store": true, "shipping_method": "PAC", "soft_descriptor": "Bread Store", "reference_code": "Payment for the service provided by John", "product": [ { "product_type": "digital_content", "title": "Toy car", "description": "Wooden toy car", "value": 1200, "quantity": 10 } ], "device_fingerprint": "7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF"}`)) req.Header.Set("Content-Type", "application/json") resp, err := http.DefaultClient.Do(req) if err != nil { panic(err) } defer resp.Body.Close() data, _ := io.ReadAll(resp.Body) fmt.Println(string(data))}
HttpClient client = HttpClient.newHttpClient();HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/")) .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{\n \"checkout_id\": \"ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe\",\n \"payment_intent_id\": \"a4fb9559-09f3-43ac-8ba5-c0d786506ea9\",\n \"order_id\": \"ORDER_123\",\n \"mode\": \"instant\",\n \"seller\": {\n \"id\": \"06f256c8-1bbf-42bf-93b4-ce2041bfb87e\",\n \"trade_name\": \"John Doe Bread Store\",\n \"merchant_document\": \"599d037634\",\n \"settings\": {\n \"notification_url_configured\": false\n }\n },\n \"customer\": {\n \"customer_id\": \"12345678912\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe Smith\",\n \"name\": \"John Doe Smith\",\n \"email\": \"[email protected]\",\n \"document_type\": \"CPF\",\n \"document_number\": \"12345678912\",\n \"phone_number\": \"5551999887766\",\n \"gender\": \"Male\",\n \"checked_email\": {\n \"type\": \"boolean\",\n \"default\": false,\n \"description\": \"Whether the customer's email address was verified by the seller when they registered with the store.\\n\\nThe possible values are:\\n- true = Email address was verified\\n- false = Email address was not verified\",\n \"example\": false\n },\n \"billing_address\": {\n \"type\": \"object\",\n \"description\": \"Data structure containing shipping address details\",\n \"required\": [\n \"street\",\n \"number\",\n \"country\",\n \"postal_code\"\n ],\n \"properties\": {\n \"street\": {\n \"type\": \"string\",\n \"description\": \"Name of a street or thoroughfare\",\n \"maxLength\": 60,\n \"example\": \"Av. Brasil\"\n },\n \"number\": {\n \"type\": \"string\",\n \"description\": \"Number that identifies the position of a building on a street\",\n \"maxLength\": 10,\n \"example\": \"1000\"\n },\n \"complement\": {\n \"type\": \"string\",\n \"description\": \"Additional address information\",\n \"maxLength\": 60,\n \"example\": \"Sala 1\"\n },\n \"district\": {\n \"type\": \"string\",\n \"description\": \"Name of a district, for example, a part of a town or region\",\n \"maxLength\": 40,\n \"example\": \"São Geraldo\"\n },\n \"city\": {\n \"type\": \"string\",\n \"description\": \"Name of a built-up area with defined boundaries and a local government.\\n\\nThe value is based on the ISO 3166-2, according to the country defined within the address details.\",\n \"maxLength\": 40,\n \"example\": \"Porto Alegre\"\n },\n \"state\": {\n \"type\": \"string\",\n \"description\": \"Name of an organized political community or area forming a part of a federation.\\n\\nThe value is based on the ISO 3166-2, according to the country defined within the address details.\",\n \"maxLength\": 20,\n \"example\": \"RS\"\n },\n \"country\": {\n \"type\": \"string\",\n \"description\": \"Country code.\\n\\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).\",\n \"maxLength\": 2,\n \"example\": \"BR\"\n },\n \"postal_code\": {\n \"type\": \"string\",\n \"description\": \"Postal or ZIP code.\\n\\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.\",\n \"maxLength\": 8,\n \"example\": \"90230060\"\n },\n \"reference\": {\n \"type\": \"string\",\n \"description\": \"Reference point details that can be used to help locate the address\",\n \"maxLength\": 80,\n \"example\": \"Near the hospital\"\n }\n }\n }\n },\n \"shipping\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe Smith\",\n \"name\": \"John Doe Smith\",\n \"phone_number\": \"5551999887766\",\n \"shipping_amount\": 3000,\n \"address\": {\n \"street\": \"Av. Brasil\",\n \"number\": \"1000\",\n \"complement\": \"Sala 1\",\n \"district\": \"São Geraldo\",\n \"city\": \"Porto Alegre\",\n \"state\": \"RS\",\n \"country\": \"BR\",\n \"postal_code\": \"90230060\",\n \"reference\": \"Near the hospital\"\n }\n },\n \"payment\": {\n \"method\": \"credit\",\n \"amount\": 10000,\n \"currency\": \"USD\",\n \"installment\": {\n \"type\": \"no_interest\",\n \"number\": 3,\n \"schema\": \"string\"\n },\n \"result\": {\n \"payment_id\": \"ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe\",\n \"status\": \"Authorized\",\n \"authorization_code\": 9999,\n \"transaction_datetime\": \"1997-07-16T19:20:30.45+01:00\",\n \"return_message\": \"The payment type is not active\",\n \"return_code\": \"payment_type_is_not_active\"\n }\n },\n \"frontend\": {\n \"link\": \"www.myhomepage.com/checkout\",\n \"time_page\": 30,\n \"sales_channel\": \"WEB\",\n \"application_version\": \"v1.0.0.1\",\n \"card_pasted\": false,\n \"ip\": \"255.255.255.255\",\n \"timezone\": \"America/Argentina/Buenos_Aires\",\n \"locale\": \"es-AR\"\n },\n \"pickup_store\": true,\n \"shipping_method\": \"PAC\",\n \"soft_descriptor\": \"Bread Store\",\n \"reference_code\": \"Payment for the service provided by John\",\n \"product\": [\n {\n \"product_type\": \"digital_content\",\n \"title\": \"Toy car\",\n \"description\": \"Wooden toy car\",\n \"value\": 1200,\n \"quantity\": 10\n }\n ],\n \"device_fingerprint\": \"7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF\"\n}")) .build();HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());
require "net/http"require "uri"uri = URI("https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/")http = Net::HTTP.new(uri.host, uri.port)http.use_ssl = uri.scheme == "https"request = Net::HTTP::Post.new(uri)request["Content-Type"] = "application/json"request.body = "{\n \"checkout_id\": \"ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe\",\n \"payment_intent_id\": \"a4fb9559-09f3-43ac-8ba5-c0d786506ea9\",\n \"order_id\": \"ORDER_123\",\n \"mode\": \"instant\",\n \"seller\": {\n \"id\": \"06f256c8-1bbf-42bf-93b4-ce2041bfb87e\",\n \"trade_name\": \"John Doe Bread Store\",\n \"merchant_document\": \"599d037634\",\n \"settings\": {\n \"notification_url_configured\": false\n }\n },\n \"customer\": {\n \"customer_id\": \"12345678912\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe Smith\",\n \"name\": \"John Doe Smith\",\n \"email\": \"[email protected]\",\n \"document_type\": \"CPF\",\n \"document_number\": \"12345678912\",\n \"phone_number\": \"5551999887766\",\n \"gender\": \"Male\",\n \"checked_email\": {\n \"type\": \"boolean\",\n \"default\": false,\n \"description\": \"Whether the customer's email address was verified by the seller when they registered with the store.\\n\\nThe possible values are:\\n- true = Email address was verified\\n- false = Email address was not verified\",\n \"example\": false\n },\n \"billing_address\": {\n \"type\": \"object\",\n \"description\": \"Data structure containing shipping address details\",\n \"required\": [\n \"street\",\n \"number\",\n \"country\",\n \"postal_code\"\n ],\n \"properties\": {\n \"street\": {\n \"type\": \"string\",\n \"description\": \"Name of a street or thoroughfare\",\n \"maxLength\": 60,\n \"example\": \"Av. Brasil\"\n },\n \"number\": {\n \"type\": \"string\",\n \"description\": \"Number that identifies the position of a building on a street\",\n \"maxLength\": 10,\n \"example\": \"1000\"\n },\n \"complement\": {\n \"type\": \"string\",\n \"description\": \"Additional address information\",\n \"maxLength\": 60,\n \"example\": \"Sala 1\"\n },\n \"district\": {\n \"type\": \"string\",\n \"description\": \"Name of a district, for example, a part of a town or region\",\n \"maxLength\": 40,\n \"example\": \"São Geraldo\"\n },\n \"city\": {\n \"type\": \"string\",\n \"description\": \"Name of a built-up area with defined boundaries and a local government.\\n\\nThe value is based on the ISO 3166-2, according to the country defined within the address details.\",\n \"maxLength\": 40,\n \"example\": \"Porto Alegre\"\n },\n \"state\": {\n \"type\": \"string\",\n \"description\": \"Name of an organized political community or area forming a part of a federation.\\n\\nThe value is based on the ISO 3166-2, according to the country defined within the address details.\",\n \"maxLength\": 20,\n \"example\": \"RS\"\n },\n \"country\": {\n \"type\": \"string\",\n \"description\": \"Country code.\\n\\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).\",\n \"maxLength\": 2,\n \"example\": \"BR\"\n },\n \"postal_code\": {\n \"type\": \"string\",\n \"description\": \"Postal or ZIP code.\\n\\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.\",\n \"maxLength\": 8,\n \"example\": \"90230060\"\n },\n \"reference\": {\n \"type\": \"string\",\n \"description\": \"Reference point details that can be used to help locate the address\",\n \"maxLength\": 80,\n \"example\": \"Near the hospital\"\n }\n }\n }\n },\n \"shipping\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe Smith\",\n \"name\": \"John Doe Smith\",\n \"phone_number\": \"5551999887766\",\n \"shipping_amount\": 3000,\n \"address\": {\n \"street\": \"Av. Brasil\",\n \"number\": \"1000\",\n \"complement\": \"Sala 1\",\n \"district\": \"São Geraldo\",\n \"city\": \"Porto Alegre\",\n \"state\": \"RS\",\n \"country\": \"BR\",\n \"postal_code\": \"90230060\",\n \"reference\": \"Near the hospital\"\n }\n },\n \"payment\": {\n \"method\": \"credit\",\n \"amount\": 10000,\n \"currency\": \"USD\",\n \"installment\": {\n \"type\": \"no_interest\",\n \"number\": 3,\n \"schema\": \"string\"\n },\n \"result\": {\n \"payment_id\": \"ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe\",\n \"status\": \"Authorized\",\n \"authorization_code\": 9999,\n \"transaction_datetime\": \"1997-07-16T19:20:30.45+01:00\",\n \"return_message\": \"The payment type is not active\",\n \"return_code\": \"payment_type_is_not_active\"\n }\n },\n \"frontend\": {\n \"link\": \"www.myhomepage.com/checkout\",\n \"time_page\": 30,\n \"sales_channel\": \"WEB\",\n \"application_version\": \"v1.0.0.1\",\n \"card_pasted\": false,\n \"ip\": \"255.255.255.255\",\n \"timezone\": \"America/Argentina/Buenos_Aires\",\n \"locale\": \"es-AR\"\n },\n \"pickup_store\": true,\n \"shipping_method\": \"PAC\",\n \"soft_descriptor\": \"Bread Store\",\n \"reference_code\": \"Payment for the service provided by John\",\n \"product\": [\n {\n \"product_type\": \"digital_content\",\n \"title\": \"Toy car\",\n \"description\": \"Wooden toy car\",\n \"value\": 1200,\n \"quantity\": 10\n }\n ],\n \"device_fingerprint\": \"7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF\"\n}"response = http.request(request)puts response.body
Response
(no body)
POSTSends authorization data.
POST
Body
Authentication
Request
curl -X POST "https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/" \
-H "Content-Type: application/json" \
-u "<username>:<password>" \
-d '{
"checkout_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
"payment_intent_id": "a4fb9559-09f3-43ac-8ba5-c0d786506ea9",
"order_id": "ORDER_123",
"mode": "instant",
"seller": {
"id": "06f256c8-1bbf-42bf-93b4-ce2041bfb87e",
"trade_name": "John Doe Bread Store",
"merchant_document": "599d037634",
"settings": {
"notification_url_configured": false
}
},
"customer": {
"customer_id": "12345678912",
"first_name": "John",
"last_name": "Doe Smith",
"name": "John Doe Smith",
"email": "[email protected]",
"document_type": "CPF",
"document_number": "12345678912",
"phone_number": "5551999887766",
"gender": "Male",
"checked_email": {
"type": "boolean",
"default": false,
"description": "Whether the customer's email address was verified by the seller when they registered with the store.\n\nThe possible values are:\n- true = Email address was verified\n- false = Email address was not verified",
"example": false
},
"billing_address": {
"type": "object",
"description": "Data structure containing shipping address details",
"required": [
"street",
"number",
"country",
"postal_code"
],
"properties": {
"street": {
"type": "string",
"description": "Name of a street or thoroughfare",
"maxLength": 60,
"example": "Av. Brasil"
},
"number": {
"type": "string",
"description": "Number that identifies the position of a building on a street",
"maxLength": 10,
"example": "1000"
},
"complement": {
"type": "string",
"description": "Additional address information",
"maxLength": 60,
"example": "Sala 1"
},
"district": {
"type": "string",
"description": "Name of a district, for example, a part of a town or region",
"maxLength": 40,
"example": "São Geraldo"
},
"city": {
"type": "string",
"description": "Name of a built-up area with defined boundaries and a local government.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
"maxLength": 40,
"example": "Porto Alegre"
},
"state": {
"type": "string",
"description": "Name of an organized political community or area forming a part of a federation.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
"maxLength": 20,
"example": "RS"
},
"country": {
"type": "string",
"description": "Country code.\n\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).",
"maxLength": 2,
"example": "BR"
},
"postal_code": {
"type": "string",
"description": "Postal or ZIP code.\n\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.",
"maxLength": 8,
"example": "90230060"
},
"reference": {
"type": "string",
"description": "Reference point details that can be used to help locate the address",
"maxLength": 80,
"example": "Near the hospital"
}
}
}
},
"shipping": {
"first_name": "John",
"last_name": "Doe Smith",
"name": "John Doe Smith",
"phone_number": "5551999887766",
"shipping_amount": 3000,
"address": {
"street": "Av. Brasil",
"number": "1000",
"complement": "Sala 1",
"district": "São Geraldo",
"city": "Porto Alegre",
"state": "RS",
"country": "BR",
"postal_code": "90230060",
"reference": "Near the hospital"
}
},
"payment": {
"method": "credit",
"amount": 10000,
"currency": "USD",
"installment": {
"type": "no_interest",
"number": 3,
"schema": "string"
},
"result": {
"payment_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
"status": "Authorized",
"authorization_code": 9999,
"transaction_datetime": "1997-07-16T19:20:30.45+01:00",
"return_message": "The payment type is not active",
"return_code": "payment_type_is_not_active"
}
},
"frontend": {
"link": "www.myhomepage.com/checkout",
"time_page": 30,
"sales_channel": "WEB",
"application_version": "v1.0.0.1",
"card_pasted": false,
"ip": "255.255.255.255",
"timezone": "America/Argentina/Buenos_Aires",
"locale": "es-AR"
},
"pickup_store": true,
"shipping_method": "PAC",
"soft_descriptor": "Bread Store",
"reference_code": "Payment for the service provided by John",
"product": [
{
"product_type": "digital_content",
"title": "Toy car",
"description": "Wooden toy car",
"value": 1200,
"quantity": 10
}
],
"device_fingerprint": "7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF"
}'
const response = await fetch(`https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/`, {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
"checkout_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
"payment_intent_id": "a4fb9559-09f3-43ac-8ba5-c0d786506ea9",
"order_id": "ORDER_123",
"mode": "instant",
"seller": {
"id": "06f256c8-1bbf-42bf-93b4-ce2041bfb87e",
"trade_name": "John Doe Bread Store",
"merchant_document": "599d037634",
"settings": {
"notification_url_configured": false
}
},
"customer": {
"customer_id": "12345678912",
"first_name": "John",
"last_name": "Doe Smith",
"name": "John Doe Smith",
"email": "[email protected]",
"document_type": "CPF",
"document_number": "12345678912",
"phone_number": "5551999887766",
"gender": "Male",
"checked_email": {
"type": "boolean",
"default": false,
"description": "Whether the customer's email address was verified by the seller when they registered with the store.\n\nThe possible values are:\n- true = Email address was verified\n- false = Email address was not verified",
"example": false
},
"billing_address": {
"type": "object",
"description": "Data structure containing shipping address details",
"required": [
"street",
"number",
"country",
"postal_code"
],
"properties": {
"street": {
"type": "string",
"description": "Name of a street or thoroughfare",
"maxLength": 60,
"example": "Av. Brasil"
},
"number": {
"type": "string",
"description": "Number that identifies the position of a building on a street",
"maxLength": 10,
"example": "1000"
},
"complement": {
"type": "string",
"description": "Additional address information",
"maxLength": 60,
"example": "Sala 1"
},
"district": {
"type": "string",
"description": "Name of a district, for example, a part of a town or region",
"maxLength": 40,
"example": "São Geraldo"
},
"city": {
"type": "string",
"description": "Name of a built-up area with defined boundaries and a local government.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
"maxLength": 40,
"example": "Porto Alegre"
},
"state": {
"type": "string",
"description": "Name of an organized political community or area forming a part of a federation.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
"maxLength": 20,
"example": "RS"
},
"country": {
"type": "string",
"description": "Country code.\n\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).",
"maxLength": 2,
"example": "BR"
},
"postal_code": {
"type": "string",
"description": "Postal or ZIP code.\n\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.",
"maxLength": 8,
"example": "90230060"
},
"reference": {
"type": "string",
"description": "Reference point details that can be used to help locate the address",
"maxLength": 80,
"example": "Near the hospital"
}
}
}
},
"shipping": {
"first_name": "John",
"last_name": "Doe Smith",
"name": "John Doe Smith",
"phone_number": "5551999887766",
"shipping_amount": 3000,
"address": {
"street": "Av. Brasil",
"number": "1000",
"complement": "Sala 1",
"district": "São Geraldo",
"city": "Porto Alegre",
"state": "RS",
"country": "BR",
"postal_code": "90230060",
"reference": "Near the hospital"
}
},
"payment": {
"method": "credit",
"amount": 10000,
"currency": "USD",
"installment": {
"type": "no_interest",
"number": 3,
"schema": "string"
},
"result": {
"payment_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
"status": "Authorized",
"authorization_code": 9999,
"transaction_datetime": "1997-07-16T19:20:30.45+01:00",
"return_message": "The payment type is not active",
"return_code": "payment_type_is_not_active"
}
},
"frontend": {
"link": "www.myhomepage.com/checkout",
"time_page": 30,
"sales_channel": "WEB",
"application_version": "v1.0.0.1",
"card_pasted": false,
"ip": "255.255.255.255",
"timezone": "America/Argentina/Buenos_Aires",
"locale": "es-AR"
},
"pickup_store": true,
"shipping_method": "PAC",
"soft_descriptor": "Bread Store",
"reference_code": "Payment for the service provided by John",
"product": [
{
"product_type": "digital_content",
"title": "Toy car",
"description": "Wooden toy car",
"value": 1200,
"quantity": 10
}
],
"device_fingerprint": "7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF"
})
});
const data = await response.json();
import requests
response = requests.request(
"POST",
"https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/",
json={
"checkout_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
"payment_intent_id": "a4fb9559-09f3-43ac-8ba5-c0d786506ea9",
"order_id": "ORDER_123",
"mode": "instant",
"seller": {
"id": "06f256c8-1bbf-42bf-93b4-ce2041bfb87e",
"trade_name": "John Doe Bread Store",
"merchant_document": "599d037634",
"settings": {
"notification_url_configured": False
}
},
"customer": {
"customer_id": "12345678912",
"first_name": "John",
"last_name": "Doe Smith",
"name": "John Doe Smith",
"email": "[email protected]",
"document_type": "CPF",
"document_number": "12345678912",
"phone_number": "5551999887766",
"gender": "Male",
"checked_email": {
"type": "boolean",
"default": False,
"description": "Whether the customer's email address was verified by the seller when they registered with the store.\n\nThe possible values are:\n- True = Email address was verified\n- False = Email address was not verified",
"example": False
},
"billing_address": {
"type": "object",
"description": "Data structure containing shipping address details",
"required": [
"street",
"number",
"country",
"postal_code"
],
"properties": {
"street": {
"type": "string",
"description": "Name of a street or thoroughfare",
"maxLength": 60,
"example": "Av. Brasil"
},
"number": {
"type": "string",
"description": "Number that identifies the position of a building on a street",
"maxLength": 10,
"example": "1000"
},
"complement": {
"type": "string",
"description": "Additional address information",
"maxLength": 60,
"example": "Sala 1"
},
"district": {
"type": "string",
"description": "Name of a district, for example, a part of a town or region",
"maxLength": 40,
"example": "São Geraldo"
},
"city": {
"type": "string",
"description": "Name of a built-up area with defined boundaries and a local government.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
"maxLength": 40,
"example": "Porto Alegre"
},
"state": {
"type": "string",
"description": "Name of an organized political community or area forming a part of a federation.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
"maxLength": 20,
"example": "RS"
},
"country": {
"type": "string",
"description": "Country code.\n\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).",
"maxLength": 2,
"example": "BR"
},
"postal_code": {
"type": "string",
"description": "Postal or ZIP code.\n\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.",
"maxLength": 8,
"example": "90230060"
},
"reference": {
"type": "string",
"description": "Reference point details that can be used to help locate the address",
"maxLength": 80,
"example": "Near the hospital"
}
}
}
},
"shipping": {
"first_name": "John",
"last_name": "Doe Smith",
"name": "John Doe Smith",
"phone_number": "5551999887766",
"shipping_amount": 3000,
"address": {
"street": "Av. Brasil",
"number": "1000",
"complement": "Sala 1",
"district": "São Geraldo",
"city": "Porto Alegre",
"state": "RS",
"country": "BR",
"postal_code": "90230060",
"reference": "Near the hospital"
}
},
"payment": {
"method": "credit",
"amount": 10000,
"currency": "USD",
"installment": {
"type": "no_interest",
"number": 3,
"schema": "string"
},
"result": {
"payment_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
"status": "Authorized",
"authorization_code": 9999,
"transaction_datetime": "1997-07-16T19:20:30.45+01:00",
"return_message": "The payment type is not active",
"return_code": "payment_type_is_not_active"
}
},
"frontend": {
"link": "www.myhomepage.com/checkout",
"time_page": 30,
"sales_channel": "WEB",
"application_version": "v1.0.0.1",
"card_pasted": False,
"ip": "255.255.255.255",
"timezone": "America/Argentina/Buenos_Aires",
"locale": "es-AR"
},
"pickup_store": True,
"shipping_method": "PAC",
"soft_descriptor": "Bread Store",
"reference_code": "Payment for the service provided by John",
"product": [
{
"product_type": "digital_content",
"title": "Toy car",
"description": "Wooden toy car",
"value": 1200,
"quantity": 10
}
],
"device_fingerprint": "7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF"
},
)
data = response.json()
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Content-Type: application/json"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, '{
"checkout_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
"payment_intent_id": "a4fb9559-09f3-43ac-8ba5-c0d786506ea9",
"order_id": "ORDER_123",
"mode": "instant",
"seller": {
"id": "06f256c8-1bbf-42bf-93b4-ce2041bfb87e",
"trade_name": "John Doe Bread Store",
"merchant_document": "599d037634",
"settings": {
"notification_url_configured": false
}
},
"customer": {
"customer_id": "12345678912",
"first_name": "John",
"last_name": "Doe Smith",
"name": "John Doe Smith",
"email": "[email protected]",
"document_type": "CPF",
"document_number": "12345678912",
"phone_number": "5551999887766",
"gender": "Male",
"checked_email": {
"type": "boolean",
"default": false,
"description": "Whether the customer's email address was verified by the seller when they registered with the store.\n\nThe possible values are:\n- true = Email address was verified\n- false = Email address was not verified",
"example": false
},
"billing_address": {
"type": "object",
"description": "Data structure containing shipping address details",
"required": [
"street",
"number",
"country",
"postal_code"
],
"properties": {
"street": {
"type": "string",
"description": "Name of a street or thoroughfare",
"maxLength": 60,
"example": "Av. Brasil"
},
"number": {
"type": "string",
"description": "Number that identifies the position of a building on a street",
"maxLength": 10,
"example": "1000"
},
"complement": {
"type": "string",
"description": "Additional address information",
"maxLength": 60,
"example": "Sala 1"
},
"district": {
"type": "string",
"description": "Name of a district, for example, a part of a town or region",
"maxLength": 40,
"example": "São Geraldo"
},
"city": {
"type": "string",
"description": "Name of a built-up area with defined boundaries and a local government.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
"maxLength": 40,
"example": "Porto Alegre"
},
"state": {
"type": "string",
"description": "Name of an organized political community or area forming a part of a federation.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
"maxLength": 20,
"example": "RS"
},
"country": {
"type": "string",
"description": "Country code.\n\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).",
"maxLength": 2,
"example": "BR"
},
"postal_code": {
"type": "string",
"description": "Postal or ZIP code.\n\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.",
"maxLength": 8,
"example": "90230060"
},
"reference": {
"type": "string",
"description": "Reference point details that can be used to help locate the address",
"maxLength": 80,
"example": "Near the hospital"
}
}
}
},
"shipping": {
"first_name": "John",
"last_name": "Doe Smith",
"name": "John Doe Smith",
"phone_number": "5551999887766",
"shipping_amount": 3000,
"address": {
"street": "Av. Brasil",
"number": "1000",
"complement": "Sala 1",
"district": "São Geraldo",
"city": "Porto Alegre",
"state": "RS",
"country": "BR",
"postal_code": "90230060",
"reference": "Near the hospital"
}
},
"payment": {
"method": "credit",
"amount": 10000,
"currency": "USD",
"installment": {
"type": "no_interest",
"number": 3,
"schema": "string"
},
"result": {
"payment_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
"status": "Authorized",
"authorization_code": 9999,
"transaction_datetime": "1997-07-16T19:20:30.45+01:00",
"return_message": "The payment type is not active",
"return_code": "payment_type_is_not_active"
}
},
"frontend": {
"link": "www.myhomepage.com/checkout",
"time_page": 30,
"sales_channel": "WEB",
"application_version": "v1.0.0.1",
"card_pasted": false,
"ip": "255.255.255.255",
"timezone": "America/Argentina/Buenos_Aires",
"locale": "es-AR"
},
"pickup_store": true,
"shipping_method": "PAC",
"soft_descriptor": "Bread Store",
"reference_code": "Payment for the service provided by John",
"product": [
{
"product_type": "digital_content",
"title": "Toy car",
"description": "Wooden toy car",
"value": 1200,
"quantity": 10
}
],
"device_fingerprint": "7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF"
}');
$response = curl_exec($ch);
curl_close($ch);
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, _ := http.NewRequest("POST", "https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/", strings.NewReader(`{
"checkout_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
"payment_intent_id": "a4fb9559-09f3-43ac-8ba5-c0d786506ea9",
"order_id": "ORDER_123",
"mode": "instant",
"seller": {
"id": "06f256c8-1bbf-42bf-93b4-ce2041bfb87e",
"trade_name": "John Doe Bread Store",
"merchant_document": "599d037634",
"settings": {
"notification_url_configured": false
}
},
"customer": {
"customer_id": "12345678912",
"first_name": "John",
"last_name": "Doe Smith",
"name": "John Doe Smith",
"email": "[email protected]",
"document_type": "CPF",
"document_number": "12345678912",
"phone_number": "5551999887766",
"gender": "Male",
"checked_email": {
"type": "boolean",
"default": false,
"description": "Whether the customer's email address was verified by the seller when they registered with the store.\n\nThe possible values are:\n- true = Email address was verified\n- false = Email address was not verified",
"example": false
},
"billing_address": {
"type": "object",
"description": "Data structure containing shipping address details",
"required": [
"street",
"number",
"country",
"postal_code"
],
"properties": {
"street": {
"type": "string",
"description": "Name of a street or thoroughfare",
"maxLength": 60,
"example": "Av. Brasil"
},
"number": {
"type": "string",
"description": "Number that identifies the position of a building on a street",
"maxLength": 10,
"example": "1000"
},
"complement": {
"type": "string",
"description": "Additional address information",
"maxLength": 60,
"example": "Sala 1"
},
"district": {
"type": "string",
"description": "Name of a district, for example, a part of a town or region",
"maxLength": 40,
"example": "São Geraldo"
},
"city": {
"type": "string",
"description": "Name of a built-up area with defined boundaries and a local government.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
"maxLength": 40,
"example": "Porto Alegre"
},
"state": {
"type": "string",
"description": "Name of an organized political community or area forming a part of a federation.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
"maxLength": 20,
"example": "RS"
},
"country": {
"type": "string",
"description": "Country code.\n\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).",
"maxLength": 2,
"example": "BR"
},
"postal_code": {
"type": "string",
"description": "Postal or ZIP code.\n\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.",
"maxLength": 8,
"example": "90230060"
},
"reference": {
"type": "string",
"description": "Reference point details that can be used to help locate the address",
"maxLength": 80,
"example": "Near the hospital"
}
}
}
},
"shipping": {
"first_name": "John",
"last_name": "Doe Smith",
"name": "John Doe Smith",
"phone_number": "5551999887766",
"shipping_amount": 3000,
"address": {
"street": "Av. Brasil",
"number": "1000",
"complement": "Sala 1",
"district": "São Geraldo",
"city": "Porto Alegre",
"state": "RS",
"country": "BR",
"postal_code": "90230060",
"reference": "Near the hospital"
}
},
"payment": {
"method": "credit",
"amount": 10000,
"currency": "USD",
"installment": {
"type": "no_interest",
"number": 3,
"schema": "string"
},
"result": {
"payment_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
"status": "Authorized",
"authorization_code": 9999,
"transaction_datetime": "1997-07-16T19:20:30.45+01:00",
"return_message": "The payment type is not active",
"return_code": "payment_type_is_not_active"
}
},
"frontend": {
"link": "www.myhomepage.com/checkout",
"time_page": 30,
"sales_channel": "WEB",
"application_version": "v1.0.0.1",
"card_pasted": false,
"ip": "255.255.255.255",
"timezone": "America/Argentina/Buenos_Aires",
"locale": "es-AR"
},
"pickup_store": true,
"shipping_method": "PAC",
"soft_descriptor": "Bread Store",
"reference_code": "Payment for the service provided by John",
"product": [
{
"product_type": "digital_content",
"title": "Toy car",
"description": "Wooden toy car",
"value": 1200,
"quantity": 10
}
],
"device_fingerprint": "7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF"
}`))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
data, _ := io.ReadAll(resp.Body)
fmt.Println(string(data))
}
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/"))
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("{\n \"checkout_id\": \"ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe\",\n \"payment_intent_id\": \"a4fb9559-09f3-43ac-8ba5-c0d786506ea9\",\n \"order_id\": \"ORDER_123\",\n \"mode\": \"instant\",\n \"seller\": {\n \"id\": \"06f256c8-1bbf-42bf-93b4-ce2041bfb87e\",\n \"trade_name\": \"John Doe Bread Store\",\n \"merchant_document\": \"599d037634\",\n \"settings\": {\n \"notification_url_configured\": false\n }\n },\n \"customer\": {\n \"customer_id\": \"12345678912\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe Smith\",\n \"name\": \"John Doe Smith\",\n \"email\": \"[email protected]\",\n \"document_type\": \"CPF\",\n \"document_number\": \"12345678912\",\n \"phone_number\": \"5551999887766\",\n \"gender\": \"Male\",\n \"checked_email\": {\n \"type\": \"boolean\",\n \"default\": false,\n \"description\": \"Whether the customer's email address was verified by the seller when they registered with the store.\\n\\nThe possible values are:\\n- true = Email address was verified\\n- false = Email address was not verified\",\n \"example\": false\n },\n \"billing_address\": {\n \"type\": \"object\",\n \"description\": \"Data structure containing shipping address details\",\n \"required\": [\n \"street\",\n \"number\",\n \"country\",\n \"postal_code\"\n ],\n \"properties\": {\n \"street\": {\n \"type\": \"string\",\n \"description\": \"Name of a street or thoroughfare\",\n \"maxLength\": 60,\n \"example\": \"Av. Brasil\"\n },\n \"number\": {\n \"type\": \"string\",\n \"description\": \"Number that identifies the position of a building on a street\",\n \"maxLength\": 10,\n \"example\": \"1000\"\n },\n \"complement\": {\n \"type\": \"string\",\n \"description\": \"Additional address information\",\n \"maxLength\": 60,\n \"example\": \"Sala 1\"\n },\n \"district\": {\n \"type\": \"string\",\n \"description\": \"Name of a district, for example, a part of a town or region\",\n \"maxLength\": 40,\n \"example\": \"São Geraldo\"\n },\n \"city\": {\n \"type\": \"string\",\n \"description\": \"Name of a built-up area with defined boundaries and a local government.\\n\\nThe value is based on the ISO 3166-2, according to the country defined within the address details.\",\n \"maxLength\": 40,\n \"example\": \"Porto Alegre\"\n },\n \"state\": {\n \"type\": \"string\",\n \"description\": \"Name of an organized political community or area forming a part of a federation.\\n\\nThe value is based on the ISO 3166-2, according to the country defined within the address details.\",\n \"maxLength\": 20,\n \"example\": \"RS\"\n },\n \"country\": {\n \"type\": \"string\",\n \"description\": \"Country code.\\n\\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).\",\n \"maxLength\": 2,\n \"example\": \"BR\"\n },\n \"postal_code\": {\n \"type\": \"string\",\n \"description\": \"Postal or ZIP code.\\n\\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.\",\n \"maxLength\": 8,\n \"example\": \"90230060\"\n },\n \"reference\": {\n \"type\": \"string\",\n \"description\": \"Reference point details that can be used to help locate the address\",\n \"maxLength\": 80,\n \"example\": \"Near the hospital\"\n }\n }\n }\n },\n \"shipping\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe Smith\",\n \"name\": \"John Doe Smith\",\n \"phone_number\": \"5551999887766\",\n \"shipping_amount\": 3000,\n \"address\": {\n \"street\": \"Av. Brasil\",\n \"number\": \"1000\",\n \"complement\": \"Sala 1\",\n \"district\": \"São Geraldo\",\n \"city\": \"Porto Alegre\",\n \"state\": \"RS\",\n \"country\": \"BR\",\n \"postal_code\": \"90230060\",\n \"reference\": \"Near the hospital\"\n }\n },\n \"payment\": {\n \"method\": \"credit\",\n \"amount\": 10000,\n \"currency\": \"USD\",\n \"installment\": {\n \"type\": \"no_interest\",\n \"number\": 3,\n \"schema\": \"string\"\n },\n \"result\": {\n \"payment_id\": \"ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe\",\n \"status\": \"Authorized\",\n \"authorization_code\": 9999,\n \"transaction_datetime\": \"1997-07-16T19:20:30.45+01:00\",\n \"return_message\": \"The payment type is not active\",\n \"return_code\": \"payment_type_is_not_active\"\n }\n },\n \"frontend\": {\n \"link\": \"www.myhomepage.com/checkout\",\n \"time_page\": 30,\n \"sales_channel\": \"WEB\",\n \"application_version\": \"v1.0.0.1\",\n \"card_pasted\": false,\n \"ip\": \"255.255.255.255\",\n \"timezone\": \"America/Argentina/Buenos_Aires\",\n \"locale\": \"es-AR\"\n },\n \"pickup_store\": true,\n \"shipping_method\": \"PAC\",\n \"soft_descriptor\": \"Bread Store\",\n \"reference_code\": \"Payment for the service provided by John\",\n \"product\": [\n {\n \"product_type\": \"digital_content\",\n \"title\": \"Toy car\",\n \"description\": \"Wooden toy car\",\n \"value\": 1200,\n \"quantity\": 10\n }\n ],\n \"device_fingerprint\": \"7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF\"\n}"))
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require "net/http"
require "uri"
uri = URI("https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = uri.scheme == "https"
request = Net::HTTP::Post.new(uri)
request["Content-Type"] = "application/json"
request.body = "{\n \"checkout_id\": \"ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe\",\n \"payment_intent_id\": \"a4fb9559-09f3-43ac-8ba5-c0d786506ea9\",\n \"order_id\": \"ORDER_123\",\n \"mode\": \"instant\",\n \"seller\": {\n \"id\": \"06f256c8-1bbf-42bf-93b4-ce2041bfb87e\",\n \"trade_name\": \"John Doe Bread Store\",\n \"merchant_document\": \"599d037634\",\n \"settings\": {\n \"notification_url_configured\": false\n }\n },\n \"customer\": {\n \"customer_id\": \"12345678912\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe Smith\",\n \"name\": \"John Doe Smith\",\n \"email\": \"[email protected]\",\n \"document_type\": \"CPF\",\n \"document_number\": \"12345678912\",\n \"phone_number\": \"5551999887766\",\n \"gender\": \"Male\",\n \"checked_email\": {\n \"type\": \"boolean\",\n \"default\": false,\n \"description\": \"Whether the customer's email address was verified by the seller when they registered with the store.\\n\\nThe possible values are:\\n- true = Email address was verified\\n- false = Email address was not verified\",\n \"example\": false\n },\n \"billing_address\": {\n \"type\": \"object\",\n \"description\": \"Data structure containing shipping address details\",\n \"required\": [\n \"street\",\n \"number\",\n \"country\",\n \"postal_code\"\n ],\n \"properties\": {\n \"street\": {\n \"type\": \"string\",\n \"description\": \"Name of a street or thoroughfare\",\n \"maxLength\": 60,\n \"example\": \"Av. Brasil\"\n },\n \"number\": {\n \"type\": \"string\",\n \"description\": \"Number that identifies the position of a building on a street\",\n \"maxLength\": 10,\n \"example\": \"1000\"\n },\n \"complement\": {\n \"type\": \"string\",\n \"description\": \"Additional address information\",\n \"maxLength\": 60,\n \"example\": \"Sala 1\"\n },\n \"district\": {\n \"type\": \"string\",\n \"description\": \"Name of a district, for example, a part of a town or region\",\n \"maxLength\": 40,\n \"example\": \"São Geraldo\"\n },\n \"city\": {\n \"type\": \"string\",\n \"description\": \"Name of a built-up area with defined boundaries and a local government.\\n\\nThe value is based on the ISO 3166-2, according to the country defined within the address details.\",\n \"maxLength\": 40,\n \"example\": \"Porto Alegre\"\n },\n \"state\": {\n \"type\": \"string\",\n \"description\": \"Name of an organized political community or area forming a part of a federation.\\n\\nThe value is based on the ISO 3166-2, according to the country defined within the address details.\",\n \"maxLength\": 20,\n \"example\": \"RS\"\n },\n \"country\": {\n \"type\": \"string\",\n \"description\": \"Country code.\\n\\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).\",\n \"maxLength\": 2,\n \"example\": \"BR\"\n },\n \"postal_code\": {\n \"type\": \"string\",\n \"description\": \"Postal or ZIP code.\\n\\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.\",\n \"maxLength\": 8,\n \"example\": \"90230060\"\n },\n \"reference\": {\n \"type\": \"string\",\n \"description\": \"Reference point details that can be used to help locate the address\",\n \"maxLength\": 80,\n \"example\": \"Near the hospital\"\n }\n }\n }\n },\n \"shipping\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe Smith\",\n \"name\": \"John Doe Smith\",\n \"phone_number\": \"5551999887766\",\n \"shipping_amount\": 3000,\n \"address\": {\n \"street\": \"Av. Brasil\",\n \"number\": \"1000\",\n \"complement\": \"Sala 1\",\n \"district\": \"São Geraldo\",\n \"city\": \"Porto Alegre\",\n \"state\": \"RS\",\n \"country\": \"BR\",\n \"postal_code\": \"90230060\",\n \"reference\": \"Near the hospital\"\n }\n },\n \"payment\": {\n \"method\": \"credit\",\n \"amount\": 10000,\n \"currency\": \"USD\",\n \"installment\": {\n \"type\": \"no_interest\",\n \"number\": 3,\n \"schema\": \"string\"\n },\n \"result\": {\n \"payment_id\": \"ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe\",\n \"status\": \"Authorized\",\n \"authorization_code\": 9999,\n \"transaction_datetime\": \"1997-07-16T19:20:30.45+01:00\",\n \"return_message\": \"The payment type is not active\",\n \"return_code\": \"payment_type_is_not_active\"\n }\n },\n \"frontend\": {\n \"link\": \"www.myhomepage.com/checkout\",\n \"time_page\": 30,\n \"sales_channel\": \"WEB\",\n \"application_version\": \"v1.0.0.1\",\n \"card_pasted\": false,\n \"ip\": \"255.255.255.255\",\n \"timezone\": \"America/Argentina/Buenos_Aires\",\n \"locale\": \"es-AR\"\n },\n \"pickup_store\": true,\n \"shipping_method\": \"PAC\",\n \"soft_descriptor\": \"Bread Store\",\n \"reference_code\": \"Payment for the service provided by John\",\n \"product\": [\n {\n \"product_type\": \"digital_content\",\n \"title\": \"Toy car\",\n \"description\": \"Wooden toy car\",\n \"value\": 1200,\n \"quantity\": 10\n }\n ],\n \"device_fingerprint\": \"7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF\"\n}"
response = http.request(request)
puts response.body